XtraScreenHacks(6)

NAME
flyer - little images zooming by like stars

SYNOPSIS
flyer [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-bitmap path] [-count number] [-ncolors number] [-mono] [-size number] [-step number] [-dots] [-fog] [-fps]

DESCRIPTION
Flyer is like the classic screen saver from Redmond that featured its logo, except now you can fly anything.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-bitmap path
    Path to an X bitmap file that will be used as the flyer image. Maximum size: 1024x1024. Must be valid xbm, color xpms are disallowed. Power of two sized square bitmaps are best, although all bitmaps up to and including the maximum size are accepted. Non-square bitmaps will appear distorted (to fix this, pad the bitmap to a square shape with background pixels). Larger bitmaps show less aliasing. See -size if using a very small (for instance, 8x8) bitmap. Default: the X11 logo.

-count number
    How many flyers there should be on the screen at one time. Legal values are from 1 to 1000. Default: 20.

-ncolors number
    How many different colors should be used. Legal values are from 1 to 256. Default: 16.

-mono
    Draw all flyers in white (or whatever your display uses for white). Nice for simple star-like flyers with -dot. Overrides -ncolors.

-size number
    How big the flyers should be. Small bitmaps look better at smaller sizes and vice versa. Legal values are from 1 to 200. Default: 100.

-step number
    How far the flyers should advance in one frame. For slow motion flyers, this gives a smoother appearance than slowing down the frame rate with -delay. Legal values are from 1 to 1000. Default: 200.

-dots
    Make flyers be simple dots or points instead of pictures. Doesn't use texture mapping, so it may work better on slower machines. Overrides -bitmap.

-fog
    Make flyers in the distance be darker.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), bitmap(1)

COPYRIGHT
Copyright © 2009 by Kelley Nielsen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>